<meta property="og:site_name" content="{{ site.title }}">

{% if page.title -%}
  <meta property="og:title" content="{{ page.title }}">
{%- endif %}

<meta property="og:type" content="website">

{% if page.description -%}
  <meta property="og:description" content="{{ page.description | strip_html | strip_newlines | truncate: 160 }}">
{%- elsif page.excerpt -%}
  <meta property="og:description" content="{{ page.excerpt | strip_html | strip_newlines }}">
{%- else -%}
  <meta property="og:description" content="{{ site.description }}">
{%- endif %}

{% if page.url -%}
  <meta property="og:url" content="{{ page.url | replace: 'index.html', '' | absolute_url }}">
{%- endif %}

{% if page.cover -%}
  <meta property="og:image" content="{{ '/files/' | absolute_url | append: page.cover }}">
{%- endif %}
